Bug 61330 - UI: Dialog 'format - AutoFormat' rates first item in styles list as special "Default" Style
Summary: UI: Dialog 'format - AutoFormat' rates first item in styles list as special "...
Status: RESOLVED DUPLICATE of bug 94173
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-23 08:07 UTC by t.guilbert17
Modified: 2015-09-18 22:14 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description t.guilbert17 2013-02-23 08:07:54 UTC
Unexpected behaviours : 

1°) Impossible to rename or to delete the first item into the  window of "autoformat" styles.

Steps to reproduce:
1. Go into the menu "Format/Autoformat"
2. Select the first item
3. Buttons "Rename" or "Delete" are disable

Expected behavior:
Possibilty to work with any autoformat style to modify, to rename, to delete, to add, except for the "default" style

NB : sorry for my english (I am french !)

Good luck !
Operating System: Windows 7
Version: 4.0.1.1 rc
Comment 1 Thomas van der Meulen [retired] 2013-02-23 08:55:43 UTC
Thank you for reporting this bug,
I can reproduce this bug running LibreOffice 4.0.1.1 rc on Mac osx 10.6.8.

Yes on the furst one is looks like it is disabled,
on the other formats they are able to click.

On 4.0.0.3 you also can't delete or rename the first format. but the other ones work fine.
Comment 2 Rainer Bielefeld Retired 2013-02-23 09:44:30 UTC
Not a special 4.0.1 bug, already reproducible with 3.6.5, may be more early, I did not check yet.

Steps how to reproduce with  "LibreOffice 3.6.5.2 " German UI/ German Locale [Build-ID: 5b93205] {pull date 2013-01-18} on German WIN7 Home Premium (64bit):

1. Open New Spreadsheet document from LibO start centr
2. Select A1:E10
3. Menu 'Format -> AutoFormat...'
   > Dialog appears
4. Select Style "3D"
   Bug: <Delete> button inactive (and 'Rename' in <More>

Some more research
------------------
I added yellow background to cells of selected range and tried to add this as new style "1D". Looked as if it works, but when I reopen 'Format -> AutoFormat...' new style is not listed. Related? But will work with another name "nwoininooin". And after insertion of Style "1D" (before I closed the dialog) I was able to delete 3D.
That all was ok with LibO 3.3.3

Assumption concerning roots: In LibO 3.3.3 'Default' style always is listed at the top of the list, and it's always impossible to delete or rename that style, what might be a useful feature. In 3.6.5 Default no longer is listed at the top, but normal in alphabetic order. May be that's the problem? Default listed anywhere, but LibO still rates the first item in the styles list as "Default" style prohibited against rename and deletion? At least after my deletion of the "3D" item (first style) the new first style became protected.

It seems that came somewhere with 3.6, was still ok with 3.5.7.2

@t.guilbert17:
"Autoformat" is not a problem description, in further reports please use an expressive summary.
Thank you for your attention! 

@Spreadsheet Team:
Please change  Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf (and remove others in team from CC)
Comment 3 Rainer Bielefeld Retired 2013-02-23 09:50:45 UTC
Already [Reproducible] with Server installation of  Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 475d0c5-829fc92-39746e8-206648e-fefd87]" (2012-02-14)
Comment 4 harryparry2011 2014-04-16 18:55:18 UTC
Reproducible in LO Version: 4.2.3.3 (Build-ID: 882f8a0a489bc99a9e60c7905a60226254cb6ff0) running Win7 Home 64bit
Comment 5 QA Administrators 2015-06-08 14:42:41 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.3 or later)
   https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results;
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-06-08
Comment 6 Buovjaga 2015-08-02 10:21:09 UTC
(In reply to Rainer Bielefeld Retired from comment #2)
> Steps how to reproduce with  "LibreOffice 3.6.5.2 " German UI/ German Locale
> [Build-ID: 5b93205] {pull date 2013-01-18} on German WIN7 Home Premium
> (64bit):
> 
> 1. Open New Spreadsheet document from LibO start centr
> 2. Select A1:E10
> 3. Menu 'Format -> AutoFormat...'
>    > Dialog appears
> 4. Select Style "3D"
>    Bug: <Delete> button inactive (and 'Rename' in <More>
> 

Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 902255645328efde34ddf62227c8278e8dd61ff0
TinderBox: Win-x86@39, Branch:master, Time: 2015-07-30_03:52:07
Locale: en-US (fi_FI)
Comment 7 Julien Nabet 2015-09-18 22:12:03 UTC
It needs some explanation here.
Since a regression from just between 3.5.7.2 and 3.6.7.2, "Default" model hasn't been the first entry.
Because of this, there's the pb described here. Indeed, "Rename" and "Remove" will be disabled for first entry because it was expected to be the case for "Default".

Another symptom (perhaps even more serious) of this regression is described in tdf#94173.

*** This bug has been marked as a duplicate of bug 94173 ***
Comment 8 Julien Nabet 2015-09-18 22:14:15 UTC
BTW, there's a patch https://gerrit.libreoffice.org/18598 (thanks to Markus for the idea and his patience :-)) waiting for review.